Last Comment Bug 865686 - Add new Bugzilla product under "Other" called "Developer Ecosystem"
: Add new Bugzilla product under "Other" called "Developer Ecosystem"
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Administration (show other bugs)
: Production
: All All
: -- normal (vote)
: ---
Assigned To: Byron Jones ‹:glob›
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-25 07:48 PDT by Daniel Buchner [:dbuc]
Modified: 2013-05-03 00:35 PDT (History)
6 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Daniel Buchner [:dbuc] 2013-04-25 07:48:26 PDT
I'd like to get our components-based polyfills, client libraries, and developer offerings under a banner that can handle now-and-future initiatives and projects that fall under the Web Components category.
Comment 1 David Lawrence [:dkl] 2013-04-26 11:42:34 PDT
Seems like you are requesting a new product to be created under the Other classification. We will need additional information to complete the request outlined here:

https://wiki.mozilla.org/BMO/Requesting_Changes#Products

dkl
Comment 2 Daniel Buchner [:dbuc] 2013-04-26 14:18:21 PDT
- name of the product: "Dev Ecosystem"
- classification (group) of product: Other
- description: The products, tools, services, and resources used to equip and support our Mozilla Developer Ecosystem
- initial list of components: Web Components, App Center, Dev Kit
- initial list of versions: N/A (whatever the default is)
- initial list of target milestones: quarterly identifiers, starting this quarter (2013 Q2, 2013 Q3, etc)
- security group(s) bugs should be classified under: whatever the default is
Comment 3 Byron Jones ‹:glob› 2013-04-28 21:41:21 PDT
(In reply to Daniel Buchner [:dbuc] from comment #2)
> - initial list of components: Web Components, App Center, Dev Kit

for each component, we'll need the following information:
https://wiki.mozilla.org/BMO/Requesting_Changes#Components

> - initial list of versions: N/A (whatever the default is)

a single "unspecified" version is the default.

> - security group(s) bugs should be classified under: whatever the default is

the default security group is "core-security"; are you able to confirm this is an appropriate group for your product?  (i suspect it isn't, but i'm not sure).
Comment 4 Reed Loden [:reed] (use needinfo?) 2013-04-28 22:05:22 PDT
Maybe "Developer Ecosystem" instead of "Dev Ecosystem" to match "Developer Documentation"?
Comment 5 Daniel Buchner [:dbuc] 2013-04-29 15:03:34 PDT
> the default security group is "core-security"; are you able to confirm this is an appropriate group for your product?  (i suspect it isn't, but i'm not sure).

Not sure, we're definitely not going to see core security bugs come though here. We might have an occasional user-privacy item - just go with whatever the Firefox Marketplace uses.

-----

> - initial list of versions: N/A (whatever the default is)
> a single "unspecified" version is the default.

Sounds good.

-----

> Maybe "Developer Ecosystem" instead of "Dev Ecosystem" to match "Developer
> Documentation"?

I don't have a strong opinion here, if you would rather go with the non-abbreviated name, that's fine.
Comment 6 Byron Jones ‹:glob› 2013-04-30 07:13:13 PDT
(In reply to Daniel Buchner [:dbuc] from comment #5)
> > the default security group is "core-security"; are you able to confirm this is an
> > appropriate group for your product?  (i suspect it isn't, but i'm not sure).
> 
> Not sure, we're definitely not going to see core security bugs come though
> here. We might have an occasional user-privacy item - just go with whatever
> the Firefox Marketplace uses.

client-services-security it is then :)

we just need the additional information for your components, and we're good to go:
https://wiki.mozilla.org/BMO/Requesting_Changes#Components
Comment 7 Daniel Buchner [:dbuc] 2013-05-01 13:42:48 PDT
--- Web Components ---
Product: Dev Ecosystem
Description: tooling, services, and client-side code Mozilla offers to developers based on the Web Components family of specs

--- App Center ---
Product: Dev Ecosystem
Description: The hub of all our app developer offerings - tools, services, docs, and code

--- Dev Kit ---
Product: Dev Ecosystem
Description: Mozilla's app development kit
Comment 8 Byron Jones ‹:glob› 2013-05-03 00:35:49 PDT
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2/
modified extensions/BMO/lib/Data.pm
Committed revision 8769.

Note You need to log in before you can comment on or make changes to this bug.